package com.realnet.basic1.Services;
import com.realnet.basic1.Repository.FormcRepository;
import com.realnet.basic1.Entity.Formc;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class FormcService {
@Autowired
private FormcRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Formc Savedata(Formc data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Formc save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Formc> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Formc> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Formc> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Formc getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Formc update(Formc data,Integer id) {
	Formc old = Repository.findById(id).get();
old.setRadiott(data.getRadiott());

  
 
old.setKk(data.isKk());
   

 
old.setJj(data.isJj());
   


  

 

 

 

 

final Formc test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
